kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gwens...@apache.org
Subject kafka git commit: KAFKA-3286: Add plugin to quickly check for outdated dependencies
Date Thu, 03 Mar 2016 23:10:22 GMT
Repository: kafka
Updated Branches:
  refs/heads/trunk 7079f57f7 -> f25fe02d9


KAFKA-3286: Add plugin to quickly check for outdated dependencies

Adds a gradle task to generate a report of outdate release dependencies:
`gradle dependencyUpdates`

Updates a few minor versions.

Author: Grant Henke <granthenke@gmail.com>

Reviewers: Ismael Juma, Gwen Shapira

Closes #973 from granthenke/outdated-deps


Project: http://git-wip-us.apache.org/repos/asf/kafka/repo
Commit: http://git-wip-us.apache.org/repos/asf/kafka/commit/f25fe02d
Tree: http://git-wip-us.apache.org/repos/asf/kafka/tree/f25fe02d
Diff: http://git-wip-us.apache.org/repos/asf/kafka/diff/f25fe02d

Branch: refs/heads/trunk
Commit: f25fe02d994a663b6a5a0d01ea290785d63e1e52
Parents: 7079f57
Author: Grant Henke <granthenke@gmail.com>
Authored: Thu Mar 3 15:10:16 2016 -0800
Committer: Gwen Shapira <cshapi@gmail.com>
Committed: Thu Mar 3 15:10:16 2016 -0800

----------------------------------------------------------------------
 README.md                  |  3 +++
 build.gradle               | 20 ++++++++++++++++++++
 gradle/dependencies.gradle |  6 +++---
 3 files changed, 26 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kafka/blob/f25fe02d/README.md
----------------------------------------------------------------------
diff --git a/README.md b/README.md
index 4f8b730..c2ed1a7 100644
--- a/README.md
+++ b/README.md
@@ -114,6 +114,9 @@ Please note for this to work you should create/update `~/.gradle/gradle.properti
 ### Determining how transitive dependencies are added ###
     ./gradlew core:dependencies --configuration runtime
 
+### Determining if any dependencies could be updated ###
+    ./gradlew dependencyUpdates
+
 ### Running checkstyle on the java code ###
     ./gradlew checkstyleMain checkstyleTest
 

http://git-wip-us.apache.org/repos/asf/kafka/blob/f25fe02d/build.gradle
----------------------------------------------------------------------
diff --git a/build.gradle b/build.gradle
index 306ac47..e4fc50f 100644
--- a/build.gradle
+++ b/build.gradle
@@ -18,12 +18,14 @@ import org.ajoberstar.grgit.Grgit
 buildscript {
   repositories {
     mavenCentral()
+    jcenter()
   }
   apply from: file('gradle/buildscript.gradle'), to: buildscript
 
   dependencies {
     // For Apache Rat plugin to ignore non-Git files
     classpath "org.ajoberstar:grgit:1.5.0"
+    classpath 'com.github.ben-manes:gradle-versions-plugin:0.12.0'
   }
 }
 
@@ -33,6 +35,24 @@ allprojects {
   repositories {
     mavenCentral()
   }
+
+  apply plugin: 'com.github.ben-manes.versions'
+
+  dependencyUpdates {
+    revision="release"
+    resolutionStrategy = {
+      componentSelection { rules ->
+        rules.all { ComponentSelection selection ->
+          boolean rejected = ['snap', 'alpha', 'beta', 'rc', 'cr', 'm'].any { qualifier ->
+            selection.candidate.version ==~ /(?i).*[.-]${qualifier}[.\d-]*/
+          }
+          if (rejected) {
+            selection.reject('Release candidate')
+          }
+        }
+      }
+    }
+  }
 }
 
 ext {

http://git-wip-us.apache.org/repos/asf/kafka/blob/f25fe02d/gradle/dependencies.gradle
----------------------------------------------------------------------
diff --git a/gradle/dependencies.gradle b/gradle/dependencies.gradle
index 4894c30..eebe007 100644
--- a/gradle/dependencies.gradle
+++ b/gradle/dependencies.gradle
@@ -28,8 +28,8 @@ versions += [
   hadoop: "2.7.2",
   easymock: "3.4",
   jackson: "2.6.3",
-  jetty: "9.2.14.v20151106",
-  jersey: "2.22.1",
+  jetty: "9.2.15.v20160210",
+  jersey: "2.22.2",
   jopt: "4.9",
   junit: "4.12",
   lz4: "1.3.0",
@@ -39,7 +39,7 @@ versions += [
   rocksDB: "4.1.0",
   scalaTest: "2.2.6",
   scalaParserCombinators: "1.0.4",
-  slf4j: "1.7.15",
+  slf4j: "1.7.18",
   snappy: "1.1.2.1",
   zkclient: "0.7",
   zookeeper: "3.4.6",


Mime
View raw message